Subject: Re: linux-next: manual merge of the vfs tree with the erofs tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 5 Dec 2022 15:11:07 +1100

Hi Gao,

On Mon, 5 Dec 2022 11:13:50 +0800 Gao Xiang <[email-masked]> wrote:
>
> On Mon, Dec 05, 2022 at 09:24:15AM +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the vfs tree got a conflict in:
> > 
> >   fs/erofs/fscache.c
> > 
> > between commits:
> > 
> >   89175ef1262d ("erofs: switch to prepare_ondemand_read() in fscache mode")
> >   89175ef1262d ("erofs: switch to prepare_ondemand_read() in fscache mode")
> > 
> > from the erofs tree and commit:
> > 
> >   89175ef1262d ("erofs: switch to prepare_ondemand_read() in fscache mode")
> > 
> > from the vfs tree.  
> 
> Is the commit from the vfs tree correct?
> 
> The conflict fix looks good to me (we tend to enable large folios in the
> next cycle.)

The commits should be

  89175ef1262d ("erofs: switch to prepare_ondemand_read() in fscache mode")
  a21274e993a6 ("erofs: support large folios for fscache mode")

from the erofs tree and

  de4eda9de2d9 ("use less confusing names for iov_iter direction initializers")

from the vfs tree.

Cut and paste weirdness caught me again :-(

-- 
Cheers,
Stephen Rothwell